<?xml version="1.0" encoding="UTF-8"?>
<definitions version="2.2">
  <channels>
    <channel>
      <urn>de.ise.schema.channels.kim.GeneralDevice</urn>
      <channelName>Device</channelName>
      <baseTypeUrn/>
      <defaultReadIndex>0</defaultReadIndex>
      <defaultWriteIndex>0</defaultWriteIndex>
	  <dataPoint>
        <index>0</index>
        <dataPointTypeUrn>de.gira.schema.datapoints.Bool</dataPointTypeUrn>
        <dataPointName>Ready</dataPointName>
        <mandatory>M</mandatory>
        <read>M</read>
        <write>-</write>
        <event>M</event>
      </dataPoint>
      <dataPoint>
        <index>1</index>
        <dataPointTypeUrn>de.gira.schema.datapoints.Byte</dataPointTypeUrn>
        <dataPointName>State</dataPointName>
        <mandatory>M</mandatory>
        <read>M</read>
        <write>-</write>
        <event>M</event>
      </dataPoint>
    </channel>
    <channel>
      <urn>de.ise.schema.channels.kim.AppControl</urn>
      <channelName>App Control</channelName>
      <baseTypeUrn />
      <defaultReadIndex>0</defaultReadIndex>
      <defaultWriteIndex>0</defaultWriteIndex>
      <dataPoint>
        <index>0</index>
        <dataPointTypeUrn>de.ise.schema.datapoints.kim.AppState</dataPointTypeUrn>
        <dataPointName>State</dataPointName>
        <mandatory>M</mandatory>
        <read>M</read>
        <write>M</write>
        <event>O</event>
      </dataPoint>
      <dataPoint>
        <index>1</index>
        <dataPointTypeUrn>de.ise.schema.datapoints.kim.AppEvent</dataPointTypeUrn>
        <dataPointName>Event</dataPointName>
        <mandatory>M</mandatory>
        <read>M</read>
        <write>M</write>
        <event>M</event>
      </dataPoint>
      <dataPoint>
        <index>2</index>
        <dataPointTypeUrn>de.ise.schema.datapoints.kim.AppAlive</dataPointTypeUrn>
        <dataPointName>Alive</dataPointName>
        <mandatory>M</mandatory>
        <read>M</read>
        <write>M</write>
        <event>M</event>
      </dataPoint>
      <dataPoint>
        <index>3</index>
        <dataPointTypeUrn>de.ise.schema.datapoints.kim.AppDebug</dataPointTypeUrn>
        <dataPointName>AppDebug</dataPointName>
        <mandatory>M</mandatory>
        <read>M</read>
        <write>M</write>
        <event>M</event>
      </dataPoint>
    </channel>
    <channel>
      <urn>de.ise.schema.channels.kim.CommunicationObject</urn>
      <channelName>Communication Object</channelName>
      <baseTypeUrn />
      <defaultReadIndex>0</defaultReadIndex>
      <defaultWriteIndex>0</defaultWriteIndex>
      <dataPoint>
        <index>0</index>
        <dataPointTypeUrn>de.gira.schema.datapoints.Trigger</dataPointTypeUrn>
        <dataPointName>Value</dataPointName>
        <mandatory>M</mandatory>
        <read>M</read>
        <write>M</write>
        <event>M</event>
      </dataPoint>
    </channel>
    <channel>
      <urn>de.ise.schema.channels.kim.Parameter</urn>
      <channelName>Parameter</channelName>
      <baseTypeUrn />
      <defaultReadIndex>0</defaultReadIndex>
      <defaultWriteIndex>0</defaultWriteIndex>
      <dataPoint>
        <index>0</index>
        <dataPointTypeUrn>de.gira.schema.datapoints.String</dataPointTypeUrn>
        <dataPointName>Value</dataPointName>
        <mandatory>M</mandatory>
        <read>M</read>
        <write>-</write>
        <event>O</event>
      </dataPoint>
    </channel>
    <channel>
      <urn>de.ise.schema.channels.kim.IPParameter</urn>
      <channelName>IP Parameter</channelName>
      <baseTypeUrn>de.ise.schema.channels.kim.Parameter</baseTypeUrn>
      <defaultReadIndex>0</defaultReadIndex>
      <defaultWriteIndex>0</defaultWriteIndex>
    </channel>
    <channel>
      <urn>de.ise.schema.channels.kim.TextParameter</urn>
      <channelName>Text Parameter</channelName>
      <baseTypeUrn>de.ise.schema.channels.kim.Parameter</baseTypeUrn>
      <defaultReadIndex>0</defaultReadIndex>
      <defaultWriteIndex>0</defaultWriteIndex>
    </channel>
    <channel>
      <urn>de.ise.schema.channels.kim.NumberParameter</urn>
      <channelName>Number Parameter</channelName>
      <baseTypeUrn>de.ise.schema.channels.kim.Parameter</baseTypeUrn>
      <defaultReadIndex>0</defaultReadIndex>
      <defaultWriteIndex>0</defaultWriteIndex>
      <dataPoint>
        <index>0</index>
        <dataPointTypeUrn>de.gira.schema.datapoints.Integer</dataPointTypeUrn>
      </dataPoint>
    </channel>
  </channels>

  <dataPoints>
    <dataPoint>
      <dataPointName>Control-State</dataPointName>
      <urn>de.ise.schema.datapoints.kim.AppState</urn>
      <description>KIM App Host Run Control State.</description>
      <valueTypeUrn>de.gira.schema.valuetypes.Integer</valueTypeUrn>
      <subtypeUrn>de.gira.schema.subtypes.Generic</subtypeUrn>
    </dataPoint>
    <dataPoint>
      <dataPointName>Control-Event</dataPointName>
      <urn>de.ise.schema.datapoints.kim.AppEvent</urn>
      <description>KIM App Host Run Control Event.</description>
      <valueTypeUrn>de.gira.schema.valuetypes.Integer</valueTypeUrn>
      <subtypeUrn>de.gira.schema.subtypes.Generic</subtypeUrn>
    </dataPoint>
    <dataPoint>
      <dataPointName>Control-Alive</dataPointName>
      <urn>de.ise.schema.datapoints.kim.AppAlive</urn>
      <description>KIM App Host Run Control Alive.</description>
      <valueTypeUrn>de.gira.schema.valuetypes.Binary</valueTypeUrn>
      <subtypeUrn>de.gira.schema.subtypes.Generic</subtypeUrn>
    </dataPoint>
    <dataPoint>
      <dataPointName>Control-AppDebug</dataPointName>
      <urn>de.ise.schema.datapoints.kim.AppDebug</urn>
      <description>KIM App Host Run Control AppDebug.</description>
      <valueTypeUrn>de.gira.schema.valuetypes.Binary</valueTypeUrn>
      <subtypeUrn>de.gira.schema.subtypes.Generic</subtypeUrn>
    </dataPoint>
  </dataPoints>

</definitions>
